/*
 *  kmessagebox_31.h  -  kdelibs KMessageBox class for KDE < 3.2 compatibility
 *  Program:  kalarm
 *  Copyright (C) 2003, 2004 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __kmessagebox_31_h__
#define __kmessagebox_31_h__

#ifdef KMessageBox
#undef KMessageBox
#endif

#include <kdeversion.h>
#include <kmessagebox.h>

class KMessageBox_31 : public KMessageBox
{
public:
#if KDE_VERSION < 290
  typedef int ButtonCode;
  static int warningYesNo(QWidget* parent, const QString& text, const QString& caption = QString::null,
                          const QString& buttonYes = QString::null, const QString& buttonNo = QString::null,
                          const QString& dontAskAgainName = QString::null, bool notify = true);
#if KDE_VERSION >= 220
  static int warningContinueCancel(QWidget* parent, const QString& text, const QString& caption = QString::null,
                          const QString& buttonContinue = QString::null,
                          const QString& dontAskAgainName = QString::null, bool notify = true)
	{ return KMessageBox::warningContinueCancel(parent, text, caption, buttonContinue, dontAskAgainName, notify); }
#else
  static int warningContinueCancel(QWidget* parent, const QString& text, const QString& caption = QString::null,
                          const QString& buttonContinue = QString::null,
                          const QString& dontAskAgainName = QString::null, bool notify = true);
#endif
#endif
  static bool shouldBeShownYesNo(const QString& dontShowAgainName, ButtonCode& result);
  static bool shouldBeShownContinue(const QString& dontShowAgainName);
};

#define KMessageBox KMessageBox_31

#endif
